from WMCore.Configuration import Configuration
from WMCore.WMBase import getWMBASE
import os.path,cherrypy,socket


PATH = os.path.abspath(os.path.dirname(__file__))

config = Configuration()

# This component has all the configuration of CherryPy
config.component_('Webtools')
# We could change port, set logging etc here like so:
config.Webtools.port = 8300
config.Webtools.host = socket.gethostname() 
#config.Webtools.environment = development
#config.Webtools.thread_pool = 10
config.Webtools.show_tracebacks = True
config.Webtools.autoreload = True
#config.Webtools.environment = development


config.Webtools.application = 'T0MonApplication'

## This is the config for the application
config.component_('T0MonApplication')
config.T0MonApplication.admin = ''
config.T0MonApplication.title = 'CMS WMCore/WebTools Documentation'
config.T0MonApplication.description = 'Documentation on the WMCORE/WebTools'


## Views are all pages
config.T0MonApplication.section_('views')
## These are all the active pages that Root.py should instantiate
active = config.T0MonApplication.views.section_('active')

active = active.section_('T0Mon')
active.object = 'T0Mon.T0Mon' ### T0Mon.T0Mon

active.templates = PATH+ '/templates'
active.DAS='http://vocms115.cern.ch:8301/tier0/'
active.plotfairy='http://vocms114.cern.ch:8351/plotfairy/'
active.emailAlert = 'gowdy@cern.ch'



