var pageLocation=new String(document.location)
parts=pageLocation.split('/')
var baseUrl=parts[0]
for(var i=1;i<parts.length;i++)
 {
  if (parts[i]=="static") {break;}
  baseUrl+='/'+parts[i];
 }

// now baseUrl is www.anything.cern.ch/whatever/subfolder/T0Mon/

function getParam(q) {
// given a param name: return its value if it is present as (GET) parameter in the URL
  s = window.location.search;
  var re = new RegExp('&'+q+'=([^&]*)','i');
  return (s=s.replace(/^\?/,'&').match(re)) ? s=s[1] : s='';
}




function getUrlFor(request)
{
//function for building the absolute path of a request
  if (request[0]!='/') {request='/'+request}
  return baseUrl+request;
}


function loadXMLDoc(contentId,url,statusId,message)
  // contentId= id where the new DATA is loaded
  // url= source URL for the new DATA 
  // statusID= id where to write the waiting message [optional]
  // message= waiting message  [optional]
{
	var xmlhttp;
	if (window.XMLHttpRequest)
	{// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp=new XMLHttpRequest();
	}
	else
	{// code for IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			var div = document.getElementById(contentId);
			div.innerHTML=xmlhttp.responseText;
// *might* be useful to execute javascript when an AJAX element is loaded
// if there is such case uncomment the following 3 lines
// 			var x = div.getElementsByTagName("script");   
// 			for(var i=0;i<x.length;i++)  
// 			{eval(x[i].text);}  
		}
	}
	xmlhttp.open("GET",""+url,true);
	xmlhttp.send();
	if (statusId)
	{
      if (message)
	    { document.getElementById(statusId).innerHTML=message}
	  else 
        { document.getElementById(statusId).innerHTML="Refreshing the table! [please wait]"}
   }
}

function statPlotLink()
{
//function which update the link to the plot if there is a run_id among the parameters
  var stats='statPlots.html?run_id='+getParam('run_id')+'&autotime=1'
  location.href = stats
}
	
function loadStatisticalPlots()
// this function load all the startical tables to the standard html id names
{

var runId=getParam('run_id');
urlOptions='?run_id='+runId
loadXMLDoc('ExpressStat',getUrlFor('/table/ExpressStatTable'+urlOptions));
loadXMLDoc('ExpressMergeStat',getUrlFor('/table/ExpressMergeStatTable'+urlOptions));
loadXMLDoc('RepackStat',getUrlFor('/table/RepackStatTable'+urlOptions));
loadXMLDoc('RepackMergeStat',getUrlFor('/table/RepackMergeStatTable'+urlOptions));
loadXMLDoc('RecoStat',getUrlFor('/table/RecoStatTable'+urlOptions));
loadXMLDoc('RecoMergeStat',getUrlFor('/table/RecoMergeStatTable'+urlOptions));
loadXMLDoc('AlcaStat',getUrlFor('/table/AlcaStatTable'+urlOptions));
loadXMLDoc('AlcaMergeStat',getUrlFor('/table/AlcaMergeStatTable'+urlOptions));
loadXMLDoc('DQMStat',getUrlFor('/table/DQMStatTable'+urlOptions));

}

function RotateImages(Start,id)
// this function it is used to rotate the image and show the loading animation on some pages
  {
      var a = new Array("../imgs/1.gif","../imgs/2.gif","../imgs/3.gif", "../imgs/4.gif");
      var b = document.getElementById(id);
      if(Start>=a.length)
          Start=0;
      if (b)
        {
         b.src = a[Start];
         window.setTimeout("RotateImages(" + (Start+1) + ")",500);
        }
 }
  


function showAndHide(contentId,labelId,showLabel,hideLabel) {
// this function is used in the plot pages to show/hide the information and option panel
	var label = document.getElementById(labelId);
	var content = document.getElementById(contentId);
	var sl="Show";
	var hl="Hide";
	if (showLabel){sl=showLabel}
	if (hideLabel){hl=hideLabel}
	if(content.style.display == "block") {
		content.style.display = "none";
		label.innerHTML = sl;
	}
	else {
		content.style.display = "block";
		label.innerHTML = hl;
	}
}

function processForm(plotName,resetFlag){
// Plot function: in order to use form to set the parameters of single AJAX object I need to manually process such forms 
	var formName=plotName+'Form';
	var idName=plotName;
	var f=document.forms[formName];
	var url="plot/"+plotName+'?';
	params=""
	if (!(resetFlag)){
		params+="hours="+f.elements["hours"].value;
		params+="&step="+f.elements["step"].value;
		params+="&sh="+f.elements["sh"].value;
		params+="&sd="+f.elements["sd"].value;
		params+="&sm="+f.elements["sm"].value;
		params+="&sy="+f.elements["sy"].value;
	}
	else {params+="autotime=1"}
	if (f.elements["run_id"]){ params+="&run_id="+f.elements["run_id"].value;}
	if (f.elements["tier"]){ params+="&tier="+f.elements["tier"].value;}
    
	if ((plotName=='StatAll') || (plotName=='TierAll'))  {
// change for all the plots: modify the calling URL
				var url="statPlots.html?"
				if (plotName=='TierAll') {url="tierPlots.html?"}
				window.location=url+params;
	}
	else { 
		f.action="javascript:loadXMLDoc('"+idName+"',getUrlFor('"+url+params+"'))";
		f.submit();
		document.getElementById(idName).innerHTML="Loading new plot..."
	    }
} 

function printStatsTitle(){
 // small function that format the 'Statistical' caption (adding run information if available) 
 var runId=getParam('run_id');
 if (runId.length>0)
   {document.write('Statistics for run '+runId+':')}
 else
   {document.write('Statistics:')}
}